#pragma once

#include "CoreMinimal.h"
#include "DBDBaseAnimInstance.h"
#include "JerryCanAnimInstance.generated.h"

class AJerryCan;

UCLASS(Blueprintable, NonTransient)
class UJerryCanAnimInstance : public UDBDBaseAnimInstance
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	AJerryCan* _jerryCan;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isJerryCanToppledOver;

public:
	UJerryCanAnimInstance();
};

FORCEINLINE uint32 GetTypeHash(const UJerryCanAnimInstance) { return 0; }
